package com.ruoyi.bst.feeLog.service;

import java.util.List;

import com.ruoyi.bst.feeLog.domain.FeeLog;
import com.ruoyi.bst.feeLog.domain.FeeLogQuery;
import com.ruoyi.bst.feeLog.domain.FeeLogVO;

/**
 * 改价记录Service接口
 *
 * @author ruoyi
 * @date 2025-05-22
 */
public interface FeeLogService
{
    /**
     * 查询改价记录
     *
     * @param id 改价记录主键
     * @return 改价记录
     */
    public FeeLogVO selectFeeLogById(Long id, boolean scope);

    default FeeLogVO selectFeeLogById(Long id) {
        return selectFeeLogById(id, false);
    }

    /**
     * 查询改价记录列表
     *
     * @param feeLog 改价记录
     * @return 改价记录集合
     */
    public List<FeeLogVO> selectFeeLogList(FeeLogQuery feeLog);

    /**
     * 新增改价记录
     *
     * @param feeLog 改价记录
     * @return 结果
     */
    public int insertFeeLog(FeeLog feeLog);

    /**
     * 修改改价记录
     *
     * @param feeLog 改价记录
     * @return 结果
     */
    public int updateFeeLog(FeeLog feeLog);

    /**
     * 批量删除改价记录
     *
     * @param ids 需要删除的改价记录主键集合
     * @return 结果
     */
    public int deleteFeeLogByIds(Long[] ids);

    /**
     * 删除改价记录信息
     *
     * @param id 改价记录主键
     * @return 结果
     */
    public int deleteFeeLogById(Long id);

    /**
     * 查询单个改价记录
     *
     * @param query 查询条件
     * @return 改价记录
     */
    public FeeLogVO selectOne(FeeLogQuery query);
}
